package app.utils;

import app.data.entity.Player;
import com.vaadin.flow.component.html.Label;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;

public class ComponentUtils {
    private ComponentUtils() {
    }

    public static HorizontalLayout getPlayerLabel(Player player) {
        return getFormattedLabelWithParentheses(player.getName(), player.getNickname());
    }

    public static HorizontalLayout getFormattedLabelWithParentheses(String mainText, String textInParentheses) {
        HorizontalLayout horizontalLayout = new HorizontalLayout();
        configureFormattedLabelWithParentheses(horizontalLayout, mainText, textInParentheses);
        return horizontalLayout;
    }

    public static void configureFormattedLabelWithParentheses(HorizontalLayout horizontalLayout, String mainText, String textInParentheses) {
        Label mainLabel = new Label(mainText);
        mainLabel.addClassName("bold-label");
        Label parenthesesLabel = new Label(String.format("(%s)", textInParentheses));
        parenthesesLabel.addClassName("parentheses-label");

        horizontalLayout.removeAll();
        horizontalLayout.add(mainLabel, parenthesesLabel);
    }
}
